game
.L00 ;  set kernel_options pfcolors no_blank_lines background

.L01 ;  rem future ideas: 

.L02 ;  rem - title screen

.L03 ;  rem - more blocks

.
 ; 

.L04 ;  dim _GameState  =  a

;._EvDir._GameState{1}.
.L05 ;  def _EvDir = _GameState{1}

;._Debounce._GameState{2}.
.L06 ;  def _Debounce = _GameState{2}

.L07 ;  dim _Species  =  b

.L08 ;  dim _InputCounter  =  c

.L09 ;  dim _AnimFrame  =  d

.L010 ;  dim _GarbageLevel  =  e

.L011 ;  dim _GarbageProb  =  f

.L012 ;  dim _GarbageFrame  =  g

.L013 ;  dim _Level  =  l

.L014 ;  dim _SoundEffect  =  s

.L015 ;  dim _SoundCounter  =  t

.L016 ;  dim _Speed  =  w

.L017 ;  rem x, y - position

.
 ; 

.L018 ;  rem title

.L019 ;  dim _TitleColor  =  z

.
 ; 

.L020 ;  dim sc1  =  score

.L021 ;  dim sc2  =  score  +  1

.L022 ;  dim sc3  =  score  +  2

.
 ; 

.L023 ;  const Y_SKY  =  30

.L024 ;  const Y_GROUND  =  61

.L025 ;  const Y_TOP  =  3

.L026 ;  const Y_BOTTOM  =  87

.L027 ;  const X_LEFT  =  15

.L028 ;  const X_RIGHT  =  110

.
 ; 

.L029 ;  const SND_NONE  =  0

.L030 ;  const SND_EVOLVE_UP  =  1

.L031 ;  const SND_EVOLVE_DOWN  =  2

.L032 ;  const SND_DIE  =  3

.L033 ;  const SND_LEVELUP  =  4

.
 ; 

.L034 ;  const MAX_SPEED  =  9

.L035 ;  const MIN_SPEED  =  2

.L036 ;  const MIN_GARBAGE  =  2

.L037 ;  const MAX_GARBAGE  =  3

.L038 ;  const MIN_GARBAGEPROB  =  3

.L039 ;  const MAX_GARBAGEPROB  =  6

.L040 ;  rem initialize colours

.L041 ;  pfcolors:

 lda # $8E
 sta COLUPF
 ifconst pfres
 lda #>(pfcolorlabel13-132+pfres*pfwidth)
 else
 lda #>(pfcolorlabel13-84)
 endif
 sta pfcolortable+1
 ifconst pfres
 lda #<(pfcolorlabel13-132+pfres*pfwidth)
 else
 lda #<(pfcolorlabel13-84)
 endif
 sta pfcolortable
.
 ; 

.L042 ;  scorecolor  =  $0e

	LDA #$0e
	STA scorecolor
.L043 ;  COLUP0  =  $00

	LDA #$00
	STA COLUP0
.L044 ;  COLUP1  =  $00

	LDA #$00
	STA COLUP1
.L045 ;  _SoundEffect  =  0

	LDA #0
	STA _SoundEffect
.
 ; 

.title
 ; title

.L046 ;  player1y  =  128

	LDA #128
	STA player1y
.L047 ;  COLUPF  =  _TitleColor

	LDA _TitleColor
	STA COLUPF
.L048 ;  _TitleColor  =  _TitleColor  +  1

	INC _TitleColor
.L049 ;  temp1  =  rand

 jsr randomize
	STA temp1
.L050 ;  playfield:

  ifconst pfres
	  ldx #(11>pfres)*(pfres*pfwidth-1)+(11<=pfres)*43
  else
	  ldx #43
  endif
	jmp pflabel0
PF_data0
	.byte %11101010, %00010010, %10101110, %10010000
	.byte %10001010, %00010101, %10101000, %10010000
	.byte %11001010, %00010101, %10101100, %10010000
	.byte %10001010, %00010101, %10101000, %10010000
	.byte %11100100, %01110010, %01001110, %01100000
	.byte %00000000, %00000000, %00000000, %00000000
	.byte %00001110, %11001001, %01001011, %00001101
	.byte %00001000, %00101001, %01010010, %00010100
	.byte %00001100, %00101001, %01100011, %00001100
	.byte %00001000, %00101001, %01010010, %00010100
	.byte %00001000, %11000110, %01001011, %00010101
pflabel0
	lda PF_data0,x
	sta playfield,x
	dex
	bpl pflabel0
.
 ; 

.L051 ;  if joy0fire  &&  !_Debounce then goto start

 bit INPT4
	BMI .skipL051
.condpart0
	LDA _GameState
	AND #4
	BNE .skip0then
.condpart1
 jmp .start

.skip0then
.skipL051
.L052 ;  if !joy0fire then _Debounce  =  0

 bit INPT4
	BPL .skipL052
.condpart2
	LDA _GameState
	AND #251
	STA _GameState
.skipL052
.L053 ;  drawscreen

 jsr drawscreen
.L054 ;  gosub doSound

 jsr .doSound

.L055 ;  goto title

 jmp .title

.
 ; 

.start
 ; start

.L056 ;  pfclear

	LDA #0
 jsr pfclear
.L057 ;  COLUPF  =  $00

	LDA #$00
	STA COLUPF
.L058 ;  score  =  0

	LDA #$00
	STA score+2
	LDA #$00
	STA score+1
	LDA #$00
	STA score
.L059 ;  _GameState  =  0

	LDA #0
	STA _GameState
.L060 ;  _GarbageFrame  =  0

	LDA #0
	STA _GarbageFrame
.L061 ;  _Level  =  0

	LDA #0
	STA _Level
.L062 ;  _Speed  =  MAX_SPEED

	LDA #MAX_SPEED
	STA _Speed
.L063 ;  _GarbageProb  =  MIN_GARBAGEPROB

	LDA #MIN_GARBAGEPROB
	STA _GarbageProb
.L064 ;  _GarbageLevel  =  MAX_GARBAGE

	LDA #MAX_GARBAGE
	STA _GarbageLevel
.L065 ;  if joy0fire then _Debounce  =  1

 bit INPT4
	BMI .skipL065
.condpart3
	LDA _GameState
	ORA #4
	STA _GameState
.skipL065
.L066 ;  x = 30  :  y  =  75

	LDA #30
	STA x
	LDA #75
	STA y
.L067 ;  _Species  =  0

	LDA #0
	STA _Species
.
 ; 

.gameloop
 ; gameloop

.L068 ;  temp2  =  _Level

	LDA _Level
	STA temp2
.L069 ;  _Level  =  sc2

	LDA sc2
	STA _Level
.L070 ;  if _Level  <  temp2 then _Level  =  temp2

	LDA _Level
	CMP temp2
     BCS .skipL070
.condpart4
	LDA temp2
	STA _Level
.skipL070
.L071 ;  if temp2  <>  _Level then _SoundEffect  =  SND_LEVELUP  :  _SoundCounter  =  0  :  _GarbageFrame  =  0

	LDA temp2
	CMP _Level
     BEQ .skipL071
.condpart5
	LDA #SND_LEVELUP
	STA _SoundEffect
	LDA #0
	STA _SoundCounter
	STA _GarbageFrame
.skipL071
.L072 ;  if _Speed  >  MIN_SPEED then _Speed  =  MAX_SPEED  -  _Level

	LDA #MIN_SPEED
	CMP _Speed
     BCS .skipL072
.condpart6
	LDA #MAX_SPEED
	SEC
	SBC _Level
	STA _Speed
.skipL072
.L073 ;  temp1  =  _Level  /  2

	LDA _Level
	lsr
	STA temp1
.L074 ;  if _GarbageProb  <  MAX_GARBAGEPROB then _GarbageProb  =  MIN_GARBAGEPROB  +  temp1

	LDA _GarbageProb
	CMP #MAX_GARBAGEPROB
     BCS .skipL074
.condpart7
	LDA #MIN_GARBAGEPROB
	CLC
	ADC temp1
	STA _GarbageProb
.skipL074
.
 ; 

.L075 ;  _AnimFrame  =  _AnimFrame  +  1

	INC _AnimFrame
.L076 ;  if _GarbageFrame  =  0 then score  =  score  +  1

	LDA _GarbageFrame
	CMP #0
     BNE .skipL076
.condpart8
	SED
	CLC
	LDA score+2
	ADC #$01
	STA score+2
	LDA score+1
	ADC #$00
	STA score+1
	LDA score
	ADC #$00
	STA score
	CLD
.skipL076
.L077 ;  _GarbageFrame  =  _GarbageFrame  +  1

	INC _GarbageFrame
.L078 ;  if _GarbageFrame  =  _Speed then gosub destroyGarbage

	LDA _GarbageFrame
	CMP _Speed
     BNE .skipL078
.condpart9
 jsr .destroyGarbage

.skipL078
.L079 ;  temp1  =  _Speed  +  1

	LDA _Speed
	CLC
	ADC #1
	STA temp1
.L080 ;  if _GarbageFrame  =  temp1 then gosub createGarbage

	LDA _GarbageFrame
	CMP temp1
     BNE .skipL080
.condpart10
 jsr .createGarbage

.skipL080
.L081 ;  temp1  =  _Speed  +  2

	LDA _Speed
	CLC
	ADC #2
	STA temp1
.L082 ;  if _GarbageFrame  =  temp1 then pfscroll left  :  _GarbageFrame  =  0

	LDA _GarbageFrame
	CMP temp1
     BNE .skipL082
.condpart11
	LDA #0
 jsr pfscroll
	LDA #0
	STA _GarbageFrame
.skipL082
.
 ; 

.L083 ;  player1x = x

	LDA x
	STA player1x
.L084 ;  player1y = y

	LDA y
	STA player1y
.L085 ;  if _Species  =  0 then goto doFish

	LDA _Species
	CMP #0
     BNE .skipL085
.condpart12
 jmp .doFish

.skipL085
.L086 ;  if _Species  =  1 then goto doLizard

	LDA _Species
	CMP #1
     BNE .skipL086
.condpart13
 jmp .doLizard

.skipL086
.doBird
 ; doBird

.L087 ;  if _AnimFrame  >  14 then _AnimFrame  =  0

	LDA #14
	CMP _AnimFrame
     BCS .skipL087
.condpart14
	LDA #0
	STA _AnimFrame
.skipL087
.L088 ;  if _AnimFrame  >  7 then goto drawBirdFrame2

	LDA #7
	CMP _AnimFrame
     BCS .skipL088
.condpart15
 jmp .drawBirdFrame2

.skipL088
.L089 ;  player1:

	LDA #<playerL089_1

	STA player1pointerlo
	LDA #>playerL089_1

	STA player1pointerhi
	LDA #2
	STA player1height
.L090 ;  goto handleInputBird

 jmp .handleInputBird

.drawBirdFrame2
 ; drawBirdFrame2

.L091 ;  player1:

	LDA #<playerL091_1

	STA player1pointerlo
	LDA #>playerL091_1

	STA player1pointerhi
	LDA #2
	STA player1height
.handleInputBird
 ; handleInputBird

.L092 ;  if y  <  Y_SKY then goto handleInputFast

	LDA y
	CMP #Y_SKY
     BCS .skipL092
.condpart16
 jmp .handleInputFast

.skipL092
.L093 ;  if y  <  Y_GROUND then goto handleInputSlow

	LDA y
	CMP #Y_GROUND
     BCS .skipL093
.condpart17
 jmp .handleInputSlow

.skipL093
.L094 ;  goto die

 jmp .die

.
 ; 

.doFish
 ; doFish

.L095 ;  if _AnimFrame  >  20 then _AnimFrame  =  0

	LDA #20
	CMP _AnimFrame
     BCS .skipL095
.condpart18
	LDA #0
	STA _AnimFrame
.skipL095
.L096 ;  if _AnimFrame  >  10 then goto drawFishFrame2

	LDA #10
	CMP _AnimFrame
     BCS .skipL096
.condpart19
 jmp .drawFishFrame2

.skipL096
.L097 ;  player1:

	LDA #<playerL097_1

	STA player1pointerlo
	LDA #>playerL097_1

	STA player1pointerhi
	LDA #3
	STA player1height
.L098 ;  goto handleInputFish

 jmp .handleInputFish

.drawFishFrame2
 ; drawFishFrame2

.L099 ;  player1:

	LDA #<playerL099_1

	STA player1pointerlo
	LDA #>playerL099_1

	STA player1pointerhi
	LDA #3
	STA player1height
.handleInputFish
 ; handleInputFish

.L0100 ;  if y  <  Y_GROUND then goto die

	LDA y
	CMP #Y_GROUND
     BCS .skipL0100
.condpart20
 jmp .die

.skipL0100
.L0101 ;  goto handleInputFast

 jmp .handleInputFast

.
 ; 

.doLizard
 ; doLizard

.L0102 ;  if _AnimFrame  >  10 then _AnimFrame  =  0

	LDA #10
	CMP _AnimFrame
     BCS .skipL0102
.condpart21
	LDA #0
	STA _AnimFrame
.skipL0102
.L0103 ;  if _AnimFrame  >  5 then goto drawLizardFrame2

	LDA #5
	CMP _AnimFrame
     BCS .skipL0103
.condpart22
 jmp .drawLizardFrame2

.skipL0103
.L0104 ;  player1:

	LDA #<playerL0104_1

	STA player1pointerlo
	LDA #>playerL0104_1

	STA player1pointerhi
	LDA #4
	STA player1height
.L0105 ;  goto handleInputLizard

 jmp .handleInputLizard

.drawLizardFrame2
 ; drawLizardFrame2

.L0106 ;  player1:

	LDA #<playerL0106_1

	STA player1pointerlo
	LDA #>playerL0106_1

	STA player1pointerhi
	LDA #4
	STA player1height
.
 ; 

.handleInputLizard
 ; handleInputLizard

.L0107 ;  if y  <  Y_SKY then goto handleInputFall

	LDA y
	CMP #Y_SKY
     BCS .skipL0107
.condpart23
 jmp .handleInputFall

.skipL0107
.L0108 ;  if y  <  Y_GROUND then goto handleInputFast

	LDA y
	CMP #Y_GROUND
     BCS .skipL0108
.condpart24
 jmp .handleInputFast

.skipL0108
.handleInputSlow
 ; handleInputSlow

.L0109 ;  _InputCounter  =  _InputCounter  +  1

	INC _InputCounter
.L0110 ;  if _InputCounter  <  3 then goto handleInputCommon

	LDA _InputCounter
	CMP #3
     BCS .skipL0110
.condpart25
 jmp .handleInputCommon

.skipL0110
.L0111 ;  _InputCounter  =  0

	LDA #0
	STA _InputCounter
.handleInputFast
 ; handleInputFast

.L0112 ;  if joy0up then y = y - 1

 lda #$10
 bit SWCHA
	BNE .skipL0112
.condpart26
	DEC y
.skipL0112
.L0113 ;  if joy0down then y = y + 1

 lda #$20
 bit SWCHA
	BNE .skipL0113
.condpart27
	INC y
.skipL0113
.handleInputLeftRight
 ; handleInputLeftRight

.L0114 ;  if joy0right then x = x + 1

 bit SWCHA
	BMI .skipL0114
.condpart28
	INC x
.skipL0114
.L0115 ;  if joy0left then x = x - 1

 bit SWCHA
	BVS .skipL0115
.condpart29
	DEC x
.skipL0115
.handleInputCommon
 ; handleInputCommon

.L0116 ;  if joy0right then REFP1  =  0

 bit SWCHA
	BMI .skipL0116
.condpart30
	LDA #0
	STA REFP1
.skipL0116
.L0117 ;  if joy0left then REFP1  =  8

 bit SWCHA
	BVS .skipL0117
.condpart31
	LDA #8
	STA REFP1
.skipL0117
.L0118 ;  if y  <  Y_TOP then y  =  Y_TOP

	LDA y
	CMP #Y_TOP
     BCS .skipL0118
.condpart32
	LDA #Y_TOP
	STA y
.skipL0118
.L0119 ;  if y  >  Y_BOTTOM then y  =  Y_BOTTOM

	LDA #Y_BOTTOM
	CMP y
     BCS .skipL0119
.condpart33
	LDA #Y_BOTTOM
	STA y
.skipL0119
.L0120 ;  if x  <  X_LEFT then x  =  X_LEFT

	LDA x
	CMP #X_LEFT
     BCS .skipL0120
.condpart34
	LDA #X_LEFT
	STA x
.skipL0120
.L0121 ;  if x  >  X_RIGHT then x  =  X_RIGHT

	LDA #X_RIGHT
	CMP x
     BCS .skipL0121
.condpart35
	LDA #X_RIGHT
	STA x
.skipL0121
.L0122 ;  if joy0fire then gosub evolve else _Debounce  =  0

 bit INPT4
	BMI .skipL0122
.condpart36
 jsr .evolve
 jmp .skipelse0
.skipL0122
	LDA _GameState
	AND #251
	STA _GameState
.skipelse0
.
 ; 

.doDraw
 ; doDraw

.L0123 ;  player1x = x  :  player1y = y

	LDA x
	STA player1x
	LDA y
	STA player1y
.L0124 ;  drawscreen

 jsr drawscreen
.L0125 ;  gosub doSound

 jsr .doSound

.L0126 ;  if collision(player1,playfield) then goto die

	BIT CXP1FB
	BPL .skipL0126
.condpart37
 jmp .die

.skipL0126
.L0127 ;  goto gameloop

 jmp .gameloop

.
 ; 

.handleInputFall
 ; handleInputFall

.L0128 ;  y  =  y  +  1

	INC y
.L0129 ;  goto handleInputLeftRight

 jmp .handleInputLeftRight

.
 ; 

.evolve
 ; evolve

.L0130 ;  if _Debounce then return

	LDA _GameState
	AND #4
	BEQ .skipL0130
.condpart38
	RTS
.skipL0130
.L0131 ;  _Debounce  =  1

	LDA _GameState
	ORA #4
	STA _GameState
.L0132 ;  _SoundCounter  =  0

	LDA #0
	STA _SoundCounter
.L0133 ;  if _Species  =  0 then _Species  =  1 :  _EvDir  =  1 :  _SoundEffect  =  SND_EVOLVE_UP  :  return

	LDA _Species
	CMP #0
     BNE .skipL0133
.condpart39
	LDA #1
	STA _Species
	LDA _GameState
	ORA #2
	STA _GameState
	LDA #SND_EVOLVE_UP
	STA _SoundEffect
	RTS
.skipL0133
.L0134 ;  if _Species  =  1  &&  _EvDir then _Species  =  2 :  _SoundEffect  =  SND_EVOLVE_UP  :  return

	LDA _Species
	CMP #1
     BNE .skipL0134
.condpart40
	LDA _GameState
	AND #2
	BEQ .skip40then
.condpart41
	LDA #2
	STA _Species
	LDA #SND_EVOLVE_UP
	STA _SoundEffect
	RTS
.skip40then
.skipL0134
.L0135 ;  if _Species  =  1 then _Species  =  0  :  _SoundEffect  =  SND_EVOLVE_DOWN  :  return

	LDA _Species
	CMP #1
     BNE .skipL0135
.condpart42
	LDA #0
	STA _Species
	LDA #SND_EVOLVE_DOWN
	STA _SoundEffect
	RTS
.skipL0135
.L0136 ;  _EvDir  =  0  :  _Species  =  1  :  _SoundEffect  =  SND_EVOLVE_DOWN  :  return

	LDA _GameState
	AND #253
	STA _GameState
	LDA #1
	STA _Species
	LDA #SND_EVOLVE_DOWN
	STA _SoundEffect
	RTS
.
 ; 

.createGarbage
 ; createGarbage

.L0137 ;  temp2  =  rand  &  7

 jsr randomize
	AND #7
	STA temp2
.L0138 ;  if temp2  >  _GarbageProb then return

	LDA _GarbageProb
	CMP temp2
     BCS .skipL0138
.condpart43
	RTS
.skipL0138
;._GarbageCount.temp4.
.L0139 ;  def _GarbageCount = temp4

;._GarbageY.temp3.
.L0140 ;  def _GarbageY = temp3

.L0141 ;  _GarbageCount  =  _GarbageLevel

	LDA _GarbageLevel
	STA temp4
.garbageLoop
 ; garbageLoop

.L0142 ;  _GarbageCount  =  _GarbageCount  -  1

	DEC temp4
.L0143 ;  if _GarbageCount  =  0 then return

	LDA temp4
	CMP #0
     BNE .skipL0143
.condpart44
	RTS
.skipL0143
.L0144 ;  _GarbageY  =   ( rand  &  15 ) 

; complex statement detected
 jsr randomize
	AND #15
	STA temp3
.L0145 ;  if _GarbageY  <=  11 then pfpixel 31 _GarbageY on

	LDA #11
	CMP temp3
     BCC .skipL0145
.condpart45
	LDA #31
	LDY temp3
	LDX #0
 jsr pfpixel
.skipL0145
.L0146 ;  goto garbageLoop

 jmp .garbageLoop

.
 ; 

.destroyGarbage
 ; destroyGarbage

.L0147 ;  _GarbageY  =  11

	LDA #11
	STA temp3
.destroyGarbageLoop
 ; destroyGarbageLoop

.L0148 ;  pfpixel 0 _GarbageY off

	LDA #0
	LDY temp3
	LDX #1
 jsr pfpixel
.L0149 ;  if _GarbageY  =  0 then return

	LDA temp3
	CMP #0
     BNE .skipL0149
.condpart46
	RTS
.skipL0149
.L0150 ;  _GarbageY  =  _GarbageY  -  1

	DEC temp3
.L0151 ;  goto destroyGarbageLoop

 jmp .destroyGarbageLoop

.
 ; 

.die
 ; die

.L0152 ;  _SoundEffect  =  SND_DIE

	LDA #SND_DIE
	STA _SoundEffect
.L0153 ;  _SoundCounter  =  0

	LDA #0
	STA _SoundCounter
.L0154 ;  goto title

 jmp .title

.
 ; 

.doSound
 ; doSound

.L0155 ;  if _SoundEffect  =  0 then AUDV0  =  0  :  return

	LDA _SoundEffect
	CMP #0
     BNE .skipL0155
.condpart47
	LDA #0
	STA AUDV0
	RTS
.skipL0155
.L0156 ;  if _SoundEffect  =  SND_EVOLVE_UP then AUDV0  =  8  :  AUDC0  =  3  :  AUDF0  =  31  -  _SoundCounter

	LDA _SoundEffect
	CMP #SND_EVOLVE_UP
     BNE .skipL0156
.condpart48
	LDA #8
	STA AUDV0
	LDA #3
	STA AUDC0
	LDA #31
	SEC
	SBC _SoundCounter
	STA AUDF0
.skipL0156
.L0157 ;  if _SoundEffect  =  SND_EVOLVE_DOWN then AUDV0  =  8  :  AUDC0  =  3  :  AUDF0  =  _SoundCounter

	LDA _SoundEffect
	CMP #SND_EVOLVE_DOWN
     BNE .skipL0157
.condpart49
	LDA #8
	STA AUDV0
	LDA #3
	STA AUDC0
	LDA _SoundCounter
	STA AUDF0
.skipL0157
.L0158 ;  if _SoundEffect  =  SND_DIE then AUDV0  =  8  :  AUDC0  =  6  :  AUDF0  =  _SoundCounter

	LDA _SoundEffect
	CMP #SND_DIE
     BNE .skipL0158
.condpart50
	LDA #8
	STA AUDV0
	LDA #6
	STA AUDC0
	LDA _SoundCounter
	STA AUDF0
.skipL0158
.L0159 ;  if _SoundEffect  =  SND_LEVELUP then AUDV0  =  8  :  AUDC0  =  14  :  AUDF0  =  31  -  _SoundCounter

	LDA _SoundEffect
	CMP #SND_LEVELUP
     BNE .skipL0159
.condpart51
	LDA #8
	STA AUDV0
	LDA #14
	STA AUDC0
	LDA #31
	SEC
	SBC _SoundCounter
	STA AUDF0
.skipL0159
.L0160 ;  _SoundCounter  =  _SoundCounter  +  1

	INC _SoundCounter
.L0161 ;  if _SoundCounter  =  32 then _SoundCounter  =  0  :  _SoundEffect  =  0

	LDA _SoundCounter
	CMP #32
     BNE .skipL0161
.condpart52
	LDA #0
	STA _SoundCounter
	STA _SoundEffect
.skipL0161
.L0162 ;  return

	RTS
 ifconst pfres
 if (<*) > (254-pfres*pfwidth)
	align 256
	endif
 if (<*) < (136-pfres*pfwidth)
	repeat ((136-pfres*pfwidth)-(<*))
	.byte 0
	repend
	endif
 else
 if (<*) > 206
	align 256
	endif
 if (<*) < 88
	repeat (88-(<*))
	.byte 0
	repend
	endif
 endif
pfcolorlabel13
 .byte  $8E,0,0,0
 .byte  $8E,0,0,0
 .byte  $8E,0,0,0
 .byte  $C4,0,0,0
 .byte  $F4,0,0,0
 .byte  $F2,0,0,0
 .byte  $F0,0,0,0
 .byte  $AA,0,0,0
 .byte  $A8,0,0,0
 .byte  $A6,0,0,0
 .byte  $A4,0,0,0
 if (<*) > (<(*+3))
	repeat ($100-<*)
	.byte 0
	repend
	endif
playerL089_1

	.byte  %00000000
	.byte  %10011001
	.byte  %01100110
 if (<*) > (<(*+3))
	repeat ($100-<*)
	.byte 0
	repend
	endif
playerL091_1

	.byte  %01000010
	.byte  %00100100
	.byte  %00011000
 if (<*) > (<(*+4))
	repeat ($100-<*)
	.byte 0
	repend
	endif
playerL097_1

	.byte  %10011110
	.byte  %01111111
	.byte  %01111101
	.byte  %10011110
 if (<*) > (<(*+4))
	repeat ($100-<*)
	.byte 0
	repend
	endif
playerL099_1

	.byte  %01011110
	.byte  %01111111
	.byte  %01111101
	.byte  %01011110
 if (<*) > (<(*+5))
	repeat ($100-<*)
	.byte 0
	repend
	endif
playerL0104_1

	.byte  %10000001
	.byte  %01111110
	.byte  %11111010
	.byte  %10001100
	.byte  %01000000
 if (<*) > (<(*+5))
	repeat ($100-<*)
	.byte 0
	repend
	endif
playerL0106_1

	.byte  %00100100
	.byte  %01111110
	.byte  %01111010
	.byte  %01001100
	.byte  %00100000
       echo "    ",[(scoretable - *)]d , "bytes of ROM space left")
 
 
 
